using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Tools;


namespace WindowsApplication1
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		/// <summary>
		/// usato per controllare la modalit di inserimento di una nuova riga
		/// </summary>
		private bool		fSalva;

		
		private System.Data.OleDb.OleDbDataAdapter oleDbDataAdapter1;
		private System.Data.OleDb.OleDbCommand oleDbSelectCommand1;
		private System.Data.OleDb.OleDbCommand oleDbInsertCommand1;
		private System.Data.OleDb.OleDbConnection oleDbConnection1;
		private System.Windows.Forms.Button btnNew;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Button btnModify;
		private System.Windows.Forms.Button btnReject;
		private System.Windows.Forms.Button btnSave;
		private System.Windows.Forms.GroupBox groupBox2;
		private Syncfusion.Windows.Forms.Grid.GridDataBoundGrid gridDataBoundGrid1;
		private System.Windows.Forms.Splitter splitter1;
		private System.Windows.Forms.ErrorProvider errGruppo;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.TextBox txtGruppoNome;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtGruppoDescrizione;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox txtGruppoID;
		private System.Windows.Forms.DateTimePicker dtPckTermineGruppo;
		private System.Windows.Forms.DateTimePicker dtPckInizioGruppo;
		private WindowsApplication1.Dataset1 dataset11;
		private System.Data.OleDb.OleDbCommand oleDbDeleteCommand1;
		private System.Data.OleDb.OleDbCommand oleDbUpdateCommand1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			Syncfusion.Windows.Forms.Grid.GridStyleInfo gridStyleInfo1 = new Syncfusion.Windows.Forms.Grid.GridStyleInfo();
			this.btnNew = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnModify = new System.Windows.Forms.Button();
			this.btnReject = new System.Windows.Forms.Button();
			this.oleDbDataAdapter1 = new System.Data.OleDb.OleDbDataAdapter();
			this.oleDbDeleteCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbConnection1 = new System.Data.OleDb.OleDbConnection();
			this.oleDbInsertCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbSelectCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbUpdateCommand1 = new System.Data.OleDb.OleDbCommand();
			this.dataset11 = new WindowsApplication1.Dataset1();
			this.btnSave = new System.Windows.Forms.Button();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.gridDataBoundGrid1 = new Syncfusion.Windows.Forms.Grid.GridDataBoundGrid();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.errGruppo = new System.Windows.Forms.ErrorProvider();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.txtGruppoNome = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.txtGruppoDescrizione = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.txtGruppoID = new System.Windows.Forms.TextBox();
			this.dtPckTermineGruppo = new System.Windows.Forms.DateTimePicker();
			this.dtPckInizioGruppo = new System.Windows.Forms.DateTimePicker();
			((System.ComponentModel.ISupportInitialize)(this.dataset11)).BeginInit();
			this.groupBox2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gridDataBoundGrid1)).BeginInit();
			this.groupBox1.SuspendLayout();
			this.SuspendLayout();
			// 
			// btnNew
			// 
			this.btnNew.Location = new System.Drawing.Point(16, 16);
			this.btnNew.Name = "btnNew";
			this.btnNew.TabIndex = 0;
			this.btnNew.Text = "New";
			this.btnNew.Click += new System.EventHandler(this.btnNew_Click);
			// 
			// btnCancel
			// 
			this.btnCancel.Location = new System.Drawing.Point(112, 16);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "Cancel";
			this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
			// 
			// btnModify
			// 
			this.btnModify.Location = new System.Drawing.Point(208, 16);
			this.btnModify.Name = "btnModify";
			this.btnModify.TabIndex = 2;
			this.btnModify.Text = "Modify";
			this.btnModify.Click += new System.EventHandler(this.btnModify_Click);
			// 
			// btnReject
			// 
			this.btnReject.Location = new System.Drawing.Point(304, 16);
			this.btnReject.Name = "btnReject";
			this.btnReject.TabIndex = 3;
			this.btnReject.Text = "Reject";
			this.btnReject.Click += new System.EventHandler(this.btnReject_Click);
			// 
			// oleDbDataAdapter1
			// 
			this.oleDbDataAdapter1.DeleteCommand = this.oleDbDeleteCommand1;
			this.oleDbDataAdapter1.InsertCommand = this.oleDbInsertCommand1;
			this.oleDbDataAdapter1.SelectCommand = this.oleDbSelectCommand1;
			this.oleDbDataAdapter1.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																																																new System.Data.Common.DataTableMapping("Table", "B_Gruppi", new System.Data.Common.DataColumnMapping[] {
																																																																																																					new System.Data.Common.DataColumnMapping("DataInizioValidita", "DataInizioValidita"),
																																																																																																					new System.Data.Common.DataColumnMapping("DataTermineValidita", "DataTermineValidita"),
																																																																																																					new System.Data.Common.DataColumnMapping("GruppoDescrizione", "GruppoDescrizione"),
																																																																																																					new System.Data.Common.DataColumnMapping("GruppoID", "GruppoID"),
																																																																																																					new System.Data.Common.DataColumnMapping("GruppoMark", "GruppoMark"),
																																																																																																					new System.Data.Common.DataColumnMapping("GruppoNome", "GruppoNome"),
																																																																																																					new System.Data.Common.DataColumnMapping("GruppoTS", "GruppoTS"),
																																																																																																					new System.Data.Common.DataColumnMapping("LivelloID", "LivelloID")})});
			this.oleDbDataAdapter1.UpdateCommand = this.oleDbUpdateCommand1;
			// 
			// oleDbDeleteCommand1
			// 
			this.oleDbDeleteCommand1.CommandText = "DELETE B_Gruppi WHERE GruppoID = ?";
			this.oleDbDeleteCommand1.Connection = this.oleDbConnection1;
			this.oleDbDeleteCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("GruppoID", System.Data.OleDb.OleDbType.Integer, 0, System.Data.ParameterDirection.Input, false, ((System.Byte)(0)), ((System.Byte)(0)), "GruppoID", System.Data.DataRowVersion.Original, null));
			// 
			// oleDbConnection1
			// 
			this.oleDbConnection1.ConnectionString = @"Jet OLEDB:Global Partial Bulk Ops=2;Jet OLEDB:Registry Path=;Jet OLEDB:Database Locking Mode=1;Data Source=""C:\Temporaneo\Syncfusion\WindowsApplication1\db1.mdb"";Jet OLEDB:Engine Type=5;Provider=""Microsoft.Jet.OLEDB.4.0"";Jet OLEDB:System database=;Jet OLEDB:SFP=False;persist security info=False;Extended Properties=;Mode=Share Deny None;Jet OLEDB:Encrypt Database=False;Jet OLEDB:Create System Database=False;Jet OLEDB:Don't Copy Locale on Compact=False;Jet OLEDB:Compact Without Replica Repair=False;User ID=Admin;Jet OLEDB:Global Bulk Transactions=1";
			// 
			// oleDbInsertCommand1
			// 
			this.oleDbInsertCommand1.CommandText = "INSERT INTO B_Gruppi(DataInizioValidita, DataTermineValidita, GruppoDescrizione, " +
				"GruppoID, GruppoMark, GruppoNome, LivelloID) VALUES (?, ?, ?, ?, ?, ?, ?)";
			this.oleDbInsertCommand1.Connection = this.oleDbConnection1;
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("DataInizioValidita", System.Data.OleDb.OleDbType.DBDate, 0, "DataInizioValidita"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("DataTermineValidita", System.Data.OleDb.OleDbType.DBDate, 0, "DataTermineValidita"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("GruppoDescrizione", System.Data.OleDb.OleDbType.VarWChar, 100, "GruppoDescrizione"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("GruppoID", System.Data.OleDb.OleDbType.Integer, 0, "GruppoID"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("GruppoMark", System.Data.OleDb.OleDbType.Boolean, 2, "GruppoMark"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("GruppoNome", System.Data.OleDb.OleDbType.VarWChar, 20, "GruppoNome"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("LivelloID", System.Data.OleDb.OleDbType.UnsignedTinyInt, 0, "LivelloID"));
			// 
			// oleDbSelectCommand1
			// 
			this.oleDbSelectCommand1.CommandText = "SELECT * FROM B_Gruppi";
			this.oleDbSelectCommand1.Connection = this.oleDbConnection1;
			// 
			// oleDbUpdateCommand1
			// 
			this.oleDbUpdateCommand1.CommandText = "UPDATE Table1 SET GruppoNome = ?, GruppoDescrizione = ? WHERE (GruppoID = ?) AND " +
				"(GruppoNome = ? OR ? IS NULL AND GruppoNome IS NULL) AND (GruppoDescrizione = ? " +
				"OR ? IS NULL AND GruppoDescrizione IS NULL)";
			this.oleDbUpdateCommand1.Connection = this.oleDbConnection1;
			// 
			// dataset11
			// 
			this.dataset11.DataSetName = "Dataset1";
			this.dataset11.Locale = new System.Globalization.CultureInfo("en-US");
			// 
			// btnSave
			// 
			this.btnSave.Location = new System.Drawing.Point(400, 16);
			this.btnSave.Name = "btnSave";
			this.btnSave.TabIndex = 5;
			this.btnSave.Text = "Save";
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			// 
			// groupBox2
			// 
			this.groupBox2.Controls.Add(this.gridDataBoundGrid1);
			this.groupBox2.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.groupBox2.Font = new System.Drawing.Font("Arial", 9.75F, ((System.Drawing.FontStyle)((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic))));
			this.groupBox2.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.groupBox2.Location = new System.Drawing.Point(0, 196);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(584, 204);
			this.groupBox2.TabIndex = 8;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "lista ";
			// 
			// gridDataBoundGrid1
			// 
			this.gridDataBoundGrid1.AllowDragSelectedCols = true;
			this.gridDataBoundGrid1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.gridDataBoundGrid1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.gridDataBoundGrid1.Font = new System.Drawing.Font("Arial", 9F);
			this.gridDataBoundGrid1.Location = new System.Drawing.Point(3, 22);
			this.gridDataBoundGrid1.Name = "gridDataBoundGrid1";
			this.gridDataBoundGrid1.OptimizeInsertRemoveCells = true;
			this.gridDataBoundGrid1.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus;
			this.gridDataBoundGrid1.Size = new System.Drawing.Size(578, 179);
			this.gridDataBoundGrid1.SortBehavior = Syncfusion.Windows.Forms.Grid.GridSortBehavior.DoubleClick;
			this.gridDataBoundGrid1.TabIndex = 0;
			gridStyleInfo1.Font.Bold = false;
			gridStyleInfo1.Font.Facename = "Arial";
			gridStyleInfo1.Font.Italic = false;
			gridStyleInfo1.Font.Size = 9F;
			gridStyleInfo1.Font.Strikeout = false;
			gridStyleInfo1.Font.Underline = false;
			this.gridDataBoundGrid1.TableStyle = gridStyleInfo1;
			this.gridDataBoundGrid1.Text = "gridDataBoundGrid1";
			this.gridDataBoundGrid1.UseListChangedEvent = true;
			this.gridDataBoundGrid1.MouseUp += new System.Windows.Forms.MouseEventHandler(this.gridDataBoundGrid1_MouseUp);
			this.gridDataBoundGrid1.CurrentCellChanged += new System.EventHandler(this.gridDataBoundGrid1_CurrentCellChanged);
			this.gridDataBoundGrid1.PrepareViewStyleInfo += new Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventHandler(this.gridDataBoundGrid1_PrepareViewStyleInfo);
			this.gridDataBoundGrid1.CurrentCellActivated += new System.EventHandler(this.gridDataBoundGrid1_CurrentCellActivated);
			// 
			// splitter1
			// 
			this.splitter1.Dock = System.Windows.Forms.DockStyle.Top;
			this.splitter1.Location = new System.Drawing.Point(0, 0);
			this.splitter1.Name = "splitter1";
			this.splitter1.Size = new System.Drawing.Size(584, 5);
			this.splitter1.TabIndex = 7;
			this.splitter1.TabStop = false;
			// 
			// errGruppo
			// 
			this.errGruppo.ContainerControl = this;
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.Add(this.txtGruppoNome);
			this.groupBox1.Controls.Add(this.label2);
			this.groupBox1.Controls.Add(this.txtGruppoDescrizione);
			this.groupBox1.Controls.Add(this.label5);
			this.groupBox1.Controls.Add(this.label4);
			this.groupBox1.Controls.Add(this.label1);
			this.groupBox1.Controls.Add(this.txtGruppoID);
			this.groupBox1.Controls.Add(this.dtPckTermineGruppo);
			this.groupBox1.Controls.Add(this.dtPckInizioGruppo);
			this.groupBox1.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.groupBox1.Font = new System.Drawing.Font("Arial", 9.75F, ((System.Drawing.FontStyle)((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic))), System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.groupBox1.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.groupBox1.Location = new System.Drawing.Point(0, 58);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(584, 138);
			this.groupBox1.TabIndex = 6;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "informazioni";
			// 
			// txtGruppoNome
			// 
			this.txtGruppoNome.BackColor = System.Drawing.SystemColors.Window;
			this.txtGruppoNome.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtGruppoNome.Location = new System.Drawing.Point(138, 23);
			this.txtGruppoNome.Name = "txtGruppoNome";
			this.txtGruppoNome.Size = new System.Drawing.Size(158, 25);
			this.txtGruppoNome.TabIndex = 2;
			this.txtGruppoNome.Text = "textBox1";
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label2.Location = new System.Drawing.Point(10, 58);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(84, 21);
			this.label2.TabIndex = 3;
			this.label2.Text = "descrizione";
			this.label2.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// txtGruppoDescrizione
			// 
			this.txtGruppoDescrizione.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtGruppoDescrizione.Location = new System.Drawing.Point(138, 55);
			this.txtGruppoDescrizione.Name = "txtGruppoDescrizione";
			this.txtGruppoDescrizione.Size = new System.Drawing.Size(428, 25);
			this.txtGruppoDescrizione.TabIndex = 4;
			this.txtGruppoDescrizione.Text = "textBox1";
			// 
			// label5
			// 
			this.label5.AutoSize = true;
			this.label5.BackColor = System.Drawing.Color.Transparent;
			this.label5.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label5.Location = new System.Drawing.Point(309, 105);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(149, 21);
			this.label5.TabIndex = 10;
			this.label5.Text = "data Termine validit";
			this.label5.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// label4
			// 
			this.label4.AutoSize = true;
			this.label4.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label4.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(192)));
			this.label4.Location = new System.Drawing.Point(7, 104);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(128, 21);
			this.label4.TabIndex = 8;
			this.label4.Text = "data Inizio validit";
			this.label4.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(10, 27);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(44, 21);
			this.label1.TabIndex = 0;
			this.label1.Text = "nome";
			this.label1.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// txtGruppoID
			// 
			this.txtGruppoID.BackColor = System.Drawing.SystemColors.Control;
			this.txtGruppoID.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.txtGruppoID.Enabled = false;
			this.txtGruppoID.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtGruppoID.Location = new System.Drawing.Point(499, 27);
			this.txtGruppoID.Name = "txtGruppoID";
			this.txtGruppoID.Size = new System.Drawing.Size(67, 18);
			this.txtGruppoID.TabIndex = 1;
			this.txtGruppoID.TabStop = false;
			this.txtGruppoID.Text = "textBox1";
			this.txtGruppoID.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// dtPckTermineGruppo
			// 
			this.dtPckTermineGruppo.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.dtPckTermineGruppo.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dtPckTermineGruppo.Location = new System.Drawing.Point(461, 100);
			this.dtPckTermineGruppo.Name = "dtPckTermineGruppo";
			this.dtPckTermineGruppo.Size = new System.Drawing.Size(105, 25);
			this.dtPckTermineGruppo.TabIndex = 11;
			this.dtPckTermineGruppo.Value = new System.DateTime(2004, 9, 5, 10, 30, 19, 233);
			// 
			// dtPckInizioGruppo
			// 
			this.dtPckInizioGruppo.Font = new System.Drawing.Font("Arial", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.dtPckInizioGruppo.Format = System.Windows.Forms.DateTimePickerFormat.Short;
			this.dtPckInizioGruppo.Location = new System.Drawing.Point(138, 100);
			this.dtPckInizioGruppo.Name = "dtPckInizioGruppo";
			this.dtPckInizioGruppo.Size = new System.Drawing.Size(106, 25);
			this.dtPckInizioGruppo.TabIndex = 9;
			this.dtPckInizioGruppo.Value = new System.DateTime(2004, 1, 1, 0, 0, 0, 0);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 15);
			this.ClientSize = new System.Drawing.Size(584, 400);
			this.Controls.Add(this.splitter1);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.btnSave);
			this.Controls.Add(this.btnReject);
			this.Controls.Add(this.btnModify);
			this.Controls.Add(this.btnCancel);
			this.Controls.Add(this.btnNew);
			this.Controls.Add(this.groupBox2);
			this.Name = "Form1";
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.dataset11)).EndInit();
			this.groupBox2.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gridDataBoundGrid1)).EndInit();
			this.groupBox1.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			this.oleDbDataAdapter1.Fill(this.dataset11);

			EmptyForm();
			ActiveControlView(false);

			// impostazione controlli
			this.MinimumSize = new System.Drawing.Size(710, 450);
			this.txtGruppoNome.CharacterCasing = CharacterCasing.Upper;
			this.txtGruppoDescrizione.CharacterCasing = CharacterCasing.Upper;

			// impostazione datagrid
			gridDataBoundGrid1.DataSource = this.dataset11.Tables["B_Gruppi"];
			MakeGridStyleGruppo();
			this.gridDataBoundGrid1.Binder.InitializeColumns();
		}

		private void MakeGridStyleGruppo()
		{
			Syncfusion.Windows.Forms.Grid.GridBoundColumn dgTextCol;
			this.SuspendLayout();

			this.gridDataBoundGrid1.AllowResizeToFit = false;
			this.gridDataBoundGrid1.DefaultRowHeight = 22;
			this.gridDataBoundGrid1.Model.RowHeights[0] = 25;
			
			// col 0
			dgTextCol = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			dgTextCol.MappingName = this.dataset11.Tables["B_Gruppi"].Columns["GruppoID"].ColumnName;
			dgTextCol.HeaderText = "ID";
			dgTextCol.StyleInfo.HorizontalAlignment = GridHorizontalAlignment.Center;
			this.gridDataBoundGrid1.GridBoundColumns.Add(dgTextCol);
			
			// col 1
			dgTextCol = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			dgTextCol.MappingName = this.dataset11.Tables["B_Gruppi"].Columns["GruppoMark"].ColumnName;
			dgTextCol.HeaderText = "Delete";
			dgTextCol.StyleInfo.HorizontalAlignment = GridHorizontalAlignment.Center;
			this.gridDataBoundGrid1.GridBoundColumns.Add(dgTextCol);

			// col 2
			dgTextCol = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			dgTextCol.MappingName = this.dataset11.Tables["B_Gruppi"].Columns["GruppoNome"].ColumnName;
			dgTextCol.HeaderText = "Nome";
			dgTextCol.StyleInfo.CellType = "OriginalTextBox";
			dgTextCol.StyleInfo.HorizontalAlignment = GridHorizontalAlignment.Left;
			dgTextCol.StyleInfo.CharacterCasing = CharacterCasing.Upper;
			this.gridDataBoundGrid1.GridBoundColumns.Add(dgTextCol);

			// col 3
			dgTextCol = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			dgTextCol.MappingName = this.dataset11.Tables["B_Gruppi"].Columns["GruppoDescrizione"].ColumnName;
			dgTextCol.HeaderText = "Descrizione";
			dgTextCol.StyleInfo.CellType = "OriginalTextBox";
			dgTextCol.StyleInfo.HorizontalAlignment = GridHorizontalAlignment.Left;
			dgTextCol.StyleInfo.CharacterCasing = CharacterCasing.Upper;
			this.gridDataBoundGrid1.GridBoundColumns.Add(dgTextCol);

			// col 4
			dgTextCol = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			dgTextCol.MappingName = this.dataset11.Tables["B_Gruppi"].Columns["DataInizioValidita"].ColumnName;
			dgTextCol.HeaderText = "Inizio validit";
			dgTextCol.StyleInfo.CellType = "MonthCalendar";
			dgTextCol.StyleInfo.HorizontalAlignment = GridHorizontalAlignment.Center;
			dgTextCol.StyleInfo.Format = "d";
			this.gridDataBoundGrid1.GridBoundColumns.Add(dgTextCol);

			// col 5
			dgTextCol = new Syncfusion.Windows.Forms.Grid.GridBoundColumn();
			dgTextCol.MappingName = this.dataset11.Tables["B_Gruppi"].Columns["DataTermineValidita"].ColumnName;
			dgTextCol.HeaderText = "Termine validit";
			dgTextCol.StyleInfo.CellType = "MonthCalendar";
			dgTextCol.StyleInfo.HorizontalAlignment = GridHorizontalAlignment.Center;
			dgTextCol.StyleInfo.Format = "d";
			this.gridDataBoundGrid1.GridBoundColumns.Add(dgTextCol);

			this.gridDataBoundGrid1.Model.ColWidths[1] = 10;
			this.gridDataBoundGrid1.Model.ColWidths[2] = 10;
			this.gridDataBoundGrid1.Model.ColWidths[3] = 150;
			this.gridDataBoundGrid1.Model.ColWidths[4] = 300;
			this.gridDataBoundGrid1.Model.ColWidths[5] = 120;
			this.gridDataBoundGrid1.Model.ColWidths[6] = 130;
			this.ResumeLayout();
		}

		private void gridDataBoundGrid1_PrepareViewStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs e)
		{
			if(e.RowIndex > 0 && e.ColIndex > 0 && e.RowIndex % 2 == 1)
				e.Style.BackColor = Color.LightGray;
		}

		private void gridDataBoundGrid1_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			int actualRow = gridDataBoundGrid1.CurrentCell.RowIndex;
			if ( actualRow != -1 )
			{
				txtGruppoID.Text = gridDataBoundGrid1[actualRow, 1].Text;
			}
		}

		private void gridDataBoundGrid1_CurrentCellActivated(object sender, System.EventArgs e)
		{
			//force scroll into view
			this.gridDataBoundGrid1.CurrentCell.ScrollInView();
		}

		private void gridDataBoundGrid1_CurrentCellChanged(object sender, System.EventArgs e)
		{
			if ( gridDataBoundGrid1.CurrentCell.RowIndex > -1 )
			{
				if ( gridDataBoundGrid1.Binder.IsAddNew )																	// se nel datagrid seleziono un nuova riga ...
				{
					InsertValueToDatagrid();
				}

				ActiveControlView(true);
				ReplaceValueToControl(gridDataBoundGrid1.CurrentCell);
				// aggiorno variabili interne
				fSalva = true;
			}
		}

		private void ActiveControlView(bool attiva)
		{
			txtGruppoNome.Enabled = attiva; txtGruppoNome.Refresh();
			txtGruppoDescrizione.Enabled = attiva; txtGruppoDescrizione.Refresh();
			dtPckInizioGruppo.Enabled = attiva; dtPckInizioGruppo.Refresh();
			dtPckTermineGruppo.Enabled = attiva; dtPckTermineGruppo.Refresh();
		}

		private void EmptyForm()
		{
			dtPckTermineGruppo.Text = (new DateTime(DateTime.Now.Year+100, 12, 31)).ToShortDateString();
			dtPckInizioGruppo.Text = (new DateTime(DateTime.Now.Year, 1, 1)).ToShortDateString();
			txtGruppoDescrizione.Text = String.Empty;
			txtGruppoNome.Text = String.Empty;
			txtGruppoID.Text = String.Empty;
		}

		private void ReplaceValueToControl(GridCurrentCell currentCell)
		{
			int x = currentCell.ColIndex;
			String colName = gridDataBoundGrid1.GridBoundColumns[x-1].MappingName;

			switch ( colName )
			{
				case "GruppoNome" :
					txtGruppoNome.Text = currentCell.Renderer.ControlText;
					break;
				case "GruppoDescrizione" :
					txtGruppoDescrizione.Text = currentCell.Renderer.ControlText;
					break;
				case "DataInizioValidita" :
					dtPckInizioGruppo.Text = currentCell.Renderer.ControlText;
					break;
				case "DataTermineValidita" :
					dtPckTermineGruppo.Text = currentCell.Renderer.ControlText;
					break;
			}
		}

		private void InsertValueToDatagrid()
		{
			GridCurrentCell cella = gridDataBoundGrid1.CurrentCell;

			gridDataBoundGrid1[cella.RowIndex, 2].Text = "false";
			gridDataBoundGrid1[cella.RowIndex, 5].Text = Convert.ToString(new DateTime(DateTime.Now.Year, 1, 1).ToShortDateString());
			gridDataBoundGrid1[cella.RowIndex, 6].Text = Convert.ToString(new DateTime(DateTime.Now.Year + 100, 12, 31).ToShortDateString());
		}

		private void PerformAppend()
		{
			// aggiungo nuovo record
			DataRow  row = this.dataset11.Tables["B_Gruppi"].NewRow();
			EmptyRecord(row);
			this.dataset11.Tables["B_Gruppi"].Rows.Add(row);
			txtGruppoID.Text = row["GruppoID"].ToString();
			// imposto valori di base
			fSalva = true;
		}

		private void EmptyRecord(DataRow r) 
		{
			r["GruppoNome"] = String.Empty;
			r["GruppoDescrizione"] = String.Empty;
			r["DataInizioValidita"] = new DateTime(DateTime.Now.Year, 1, 1);
			r["DataTermineValidita"] = new DateTime(DateTime.Now.Year+100, 12, 31);
			r["LivelloID"] = 0;
			r["GruppoMark"] = false;
		}

		private void btnNew_Click(object sender, System.EventArgs e)
		{
			// svuoto input del form
			EmptyForm();
			// eseguo inserimento
			PerformAppend();

			ActiveControlView(true);
			// mi posizione su input
			txtGruppoNome.Focus();
		}

		private void btnCancel_Click(object sender, System.EventArgs e)
		{
		
		}

		private void btnModify_Click(object sender, System.EventArgs e)
		{
		
		}

		private void btnReject_Click(object sender, System.EventArgs e)
		{
			gridDataBoundGrid1.SuspendLayout();

			this.dataset11.RejectChanges();

			gridDataBoundGrid1.ResumeLayout();
		}

		private void btnSave_Click(object sender, System.EventArgs e)
		{
			DataSet dsChanges = null;
			DataViewRowState stato = DataViewRowState.Added | DataViewRowState.ModifiedCurrent;

			try
			{		
				if (this.dataset11.HasChanges())
				{
					dsChanges = this.dataset11.GetChanges();

					this.oleDbDataAdapter1.Update(this.dataset11, "B_Gruppi");
					if (  this.dataset11.Tables["B_Gruppi"].HasErrors )
					{
						string message;
						message = "Le seguenti righe non sono state modificate per: ";
						foreach ( DataRow r in this.dataset11.Tables["B_Gruppi"].Rows )
						{
							if ( r.HasErrors )
								message += "\n\r" + r["GruppoID"].ToString() + r.RowError;
							throw new System.Exception(message);
						}
					}
					// aggiorno il DataSet	
					/* per eseguire un corretto refresh della tabella  
						 necessario impostare a true il valore preserveChanges */
					this.dataset11.Merge(dsChanges, true);
					this.dataset11.AcceptChanges();
				}
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}


	}
}
